/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v7.0.29,
* Autoprefixer: v9.7.6
* Browsers: last 4 version
*/

/*-----------------------------------------------------------------------------------------------------
CONTACTOS*/

/*contactos*/

#contactos .text_block{
    -ms-grid-column: 2;
    -ms-grid-column-span: 2;
    grid-column: 2/4;
    -ms-grid-row: 4;
    -ms-grid-row-span: 2;
    grid-row: 4/6;
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: (1fr)[2];
    grid-template-columns: repeat(2,1fr);
    -ms-grid-rows: (auto)[6];
    grid-template-rows: repeat(6, auto);
    padding: 2rem 1rem;
}

#contactos .text_block > *:nth-child(1){
    -ms-grid-row: 1;
    -ms-grid-column: 1;
}

#contactos .text_block > *:nth-child(2){
    -ms-grid-row: 1;
    -ms-grid-column: 2;
}

#contactos .text_block > *:nth-child(3){
    -ms-grid-row: 2;
    -ms-grid-column: 1;
}

#contactos .text_block > *:nth-child(4){
    -ms-grid-row: 2;
    -ms-grid-column: 2;
}

#contactos .text_block > *:nth-child(5){
    -ms-grid-row: 3;
    -ms-grid-column: 1;
}

#contactos .text_block > *:nth-child(6){
    -ms-grid-row: 3;
    -ms-grid-column: 2;
}

#contactos .text_block > *:nth-child(7){
    -ms-grid-row: 4;
    -ms-grid-column: 1;
}

#contactos .text_block > *:nth-child(8){
    -ms-grid-row: 4;
    -ms-grid-column: 2;
}

#contactos .text_block > *:nth-child(9){
    -ms-grid-row: 5;
    -ms-grid-column: 1;
}

#contactos .text_block > *:nth-child(10){
    -ms-grid-row: 5;
    -ms-grid-column: 2;
}

#contactos .text_block > *:nth-child(11){
    -ms-grid-row: 6;
    -ms-grid-column: 1;
}

#contactos .text_block > *:nth-child(12){
    -ms-grid-row: 6;
    -ms-grid-column: 2;
}

#contactos .text_block #contactos_titulo{
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1/3;
    -ms-grid-row: 1;
    -ms-grid-row-span: 1;
    grid-row: 1/2;
    margin: 0;
}
#contactos .text_block #contactos_subtitulo1{
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1/3;
    -ms-grid-row: 2;
    -ms-grid-row-span: 1;
    grid-row: 2/3;
    color: black;
    margin: 0;
}
#contactos .text_block #contactos_subtitulo2{
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1/3;
    -ms-grid-row: 3;
    -ms-grid-row-span: 1;
    grid-row: 3/4;
    color: black;
}
#contactos .text_block #contactos_morada{
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1/3;
    -ms-grid-row: 4;
    -ms-grid-row-span: 1;
    grid-row: 4/5;
}
#contactos .text_block #contactos_telefone_email{
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1/3;
    -ms-grid-row: 5;
    -ms-grid-row-span: 1;
    grid-row: 5/6;
    margin-bottom: 2rem;
}

#contactos .text_block button{
    -ms-grid-column: 1;
    -ms-grid-column-span: 1;
    grid-column: 1/2;
    -ms-grid-row: 6;
    -ms-grid-row-span: 1;
    grid-row: 6/7;
    width: 15rem;
}

#contactos #mapid{
    -ms-grid-column: 4;
    -ms-grid-column-span: 3;
    grid-column: 4/7;
    -ms-grid-row: 4;
    -ms-grid-row-span: 2;
    grid-row: 4/6;
    width: 100%;
    height: 100%;
    padding: 1rem 0;
}

/*form*/

#contacto_form{
    background-color: #F5F5F5;
    margin-top: 3rem;
}

#contacto_form h3{
    -ms-grid-column: 2;
    -ms-grid-column-span: 4;
    grid-column: 2/6;
    -ms-grid-row: 2;
    -ms-grid-row-span: 1;
    grid-row: 2/3;
    text-align: center;
    color: #62170D;
}

#contacto_form h2{
    -ms-grid-column: 2;
    -ms-grid-column-span: 4;
    grid-column: 2/6;
    -ms-grid-row: 3;
    -ms-grid-row-span: 1;
    grid-row: 3/4;
    text-align: center;
}

#contacto_form form{
    -ms-grid-column: 3;
    -ms-grid-column-span: 2;
    grid-column: 3/5;
    -ms-grid-row: 4;
    -ms-grid-row-span: 2;
    grid-row: 4/6;
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 1rem 1fr;
    grid-template-columns: 1fr 1fr;
    -ms-grid-rows: auto 1rem auto 1rem auto 1rem auto 1rem auto 1rem auto 1rem auto;
    grid-template-rows: repeat(7, auto);
    grid-gap: 1rem;
}

#contacto_form form > *:nth-child(1){
    -ms-grid-row: 1;
    -ms-grid-column: 1;
}

#contacto_form form > *:nth-child(2){
    -ms-grid-row: 1;
    -ms-grid-column: 3;
}

#contacto_form form > *:nth-child(3){
    -ms-grid-row: 3;
    -ms-grid-column: 1;
}

#contacto_form form > *:nth-child(4){
    -ms-grid-row: 3;
    -ms-grid-column: 3;
}

#contacto_form form > *:nth-child(5){
    -ms-grid-row: 5;
    -ms-grid-column: 1;
}

#contacto_form form > *:nth-child(6){
    -ms-grid-row: 5;
    -ms-grid-column: 3;
}

#contacto_form form > *:nth-child(7){
    -ms-grid-row: 7;
    -ms-grid-column: 1;
}

#contacto_form form > *:nth-child(8){
    -ms-grid-row: 7;
    -ms-grid-column: 3;
}

#contacto_form form > *:nth-child(9){
    -ms-grid-row: 9;
    -ms-grid-column: 1;
}

#contacto_form form > *:nth-child(10){
    -ms-grid-row: 9;
    -ms-grid-column: 3;
}

#contacto_form form > *:nth-child(11){
    -ms-grid-row: 11;
    -ms-grid-column: 1;
}

#contacto_form form > *:nth-child(12){
    -ms-grid-row: 11;
    -ms-grid-column: 3;
}

#contacto_form form > *:nth-child(13){
    -ms-grid-row: 13;
    -ms-grid-column: 1;
}

#contacto_form form > *:nth-child(14){
    -ms-grid-row: 13;
    -ms-grid-column: 3;
}

#contacto_form form div{
    margin: 1rem;
}

#contacto_form form div:nth-child(1){
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1/3;
    -ms-grid-row: 1;
    -ms-grid-row-span: 1;
    grid-row: 1/2 ;
}
#contacto_form form div:nth-child(2){
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1/3;
    -ms-grid-row: 2;
    -ms-grid-row-span: 1;
    grid-row: 2/3 ;
}
#contacto_form form div:nth-child(3){
    -ms-grid-column: 1;
    -ms-grid-column-span: 1;
    grid-column: 1/2;
    -ms-grid-row: 3;
    -ms-grid-row-span: 1;
    grid-row: 3/4 ;
}
#contacto_form form div:nth-child(4){
    -ms-grid-column: 2;
    -ms-grid-column-span: 1;
    grid-column: 2/3;
    -ms-grid-row: 3;
    -ms-grid-row-span: 1;
    grid-row: 3/4;
}
#contacto_form form div:nth-child(5){
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1/3;
    -ms-grid-row: 4;
    -ms-grid-row-span: 1;
    grid-row: 4/5;
}
#contacto_form form div:nth-child(6){
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1/3;
    -ms-grid-row: 5;
    -ms-grid-row-span: 1;
    grid-row: 5/6;
}
#contacto_form form p{
    -ms-grid-column: 1;
    -ms-grid-column-span: 1;
    grid-column: 1/2;
    -ms-grid-row: 6;
    -ms-grid-row-span: 1;
    grid-row: 6/7;
    font-size: 8pt;
    color: #A2A2A2;
    margin: 1rem;
}
#contacto_form form [type="submit"]{
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1/3;
    -ms-grid-row: 7;
    -ms-grid-row-span: 1;
    grid-row: 7/8;
    margin: 1rem;
}

#mapid{
    z-index: 1;
}
